#------------------------------------------------- {COPYRIGHT-TOP-RM}
# Licensed Materials - Property of IBM
#
# "Restricted Materials of IBM"
#
# 5724-C51
#
# (C) Copyright IBM Corp. 2005 All Rights Reserved.
#
# US Government Users Restricted Rights - Use, duplication or
# disclosure restricted by GSA ADP Schedule Contract with
# IBM Corp.
#------------------------------------------------- {COPYRIGHT-END-RM}
#
# File: archive/isa/com.ibm.esupport.client.TBSM.SSTG3D/tbsmDataCollector.ksh
# SID: 1.1
# Date modified: 05/08/26 15:01:34 
#
# Module Description: 
#    tbsmDataCollector.ksh - 
#      IBM Support Assistant product specific Data collector for TBSM V3 plug-in.
#
#   This file should be installed under the directory of
#     <ISAInstallDir>\plugins\com.ibm.esupport.client.TBSM.SSTG3D\
#

Header="
*******************************************************************
*
*  IBM Tivoli Business Systems Manager Service Support File 
*  Generated by the IBM Support Assistant - TBSM Data Collector
*  $(date "+"%Y"/"%m"/"%d" "%H":"%M":"%S"") (File generation time in yyyy/mm/dd hh:mm:ss)
*
*******************************************************************
"

#---------------------------------------------
# get the current Environment variables
#---------------------------------------------
dumpEnv()
{
  set
}

#---------------------------------------------
# dump the TBSM Windows registry tree 
#---------------------------------------------
dumpRegistry()
{
  print "$Header"
  print "This file contains the TBSM Windows Registry dump:" 
  regdmp "HKEY_LOCAL_MACHINE\software\Accessible Software, Inc."
}

#---------------------------------------------
# get the SQL Version and Snapshot History
#---------------------------------------------
getSQLData()
{
  print "$Header"
  print "This file contains the SQL Server Version and TBSM Snapshot History:" 
  print
  osql -E -n -w3000 -l60 -dObject -Q"SELECT @@VERSION; SELECT * FROM imSnapshotHistory"
}

#---------------------------------------------
# dump the last 10 files in the OutputDir
#---------------------------------------------
getHMSFiles()
{
  OutputDir="$1/mgmt/HMS/Output"
  # print "HMS Output Directory $OutputDir"

  print "$Header"
  files=$(find "$OutputDir" | tail -10n)

  print "This file contains the content of the following files:" 
  for file in $files; do
    print $file
  done

  for file in $files; do
    print 
    print 
    print "==============================================================================="  
    print "$file"
    print "==============================================================================="  
    cat $file
  done
}


while getopts "ERSH:" c; do
  case $c in

    E) dumpEnv;;
    R) dumpRegistry;;
    S) getSQLData;;
    H) getHMSFiles $OPTARG;;
    *)  print >&2 Error with option $OPTOPT; exit 1;;

  esac
done

